conky (1.21.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Add mysql plugin.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Wed, 29 May 2024 16:17:03 +0200

conky (1.21.1-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 18 May 2024 13:56:53 -0700

conky (1.21.0-2) unstable; urgency=medium

  * Prevent installation of vendored libvc. (Closes: #1071006)

 -- Vincent Cheng <vcheng@debian.org>  Mon, 13 May 2024 02:01:03 -0700

conky (1.21.0-1) unstable; urgency=medium

  * New upstream release.
    - Fix conky-cairo_imlib2_helper dependency conditions. (Closes: #1070100)

 -- Vincent Cheng <vcheng@debian.org>  Sun, 12 May 2024 02:22:26 -0700

conky (1.20.2-1) unstable; urgency=medium

  * New upstream release.
    - Add build-dep on gperf and libpango1.0-dev.
  * Drop obsolete build flags in d/rules. (Closes: #1064073)

 -- Vincent Cheng <vcheng@debian.org>  Sun, 28 Apr 2024 17:47:36 -0700

conky (1.20.1-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.7.0, no changes needed.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 23 Apr 2024 16:39:14 -0700

conky (1.19.6-1) unstable; urgency=medium

  * New upstream release.
    - Fix segfault when running Lua code. (Closes: #1053916)

 -- Vincent Cheng <vcheng@debian.org>  Sat, 14 Oct 2023 18:42:20 -0700

conky (1.19.5-1) unstable; urgency=medium

  [ Vincent Cheng ]
  * New upstream release.

  [ Bastian Germann ]
  * Drop transitional package conky. (Closes: #878377)

 -- Vincent Cheng <vcheng@debian.org>  Wed, 11 Oct 2023 09:54:03 -0700

conky (1.19.4-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 15 Aug 2023 17:04:49 -0700

conky (1.19.3-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 09 Aug 2023 11:29:33 -0700

conky (1.19.2-2) unstable; urgency=medium

  * Update existing autopkgtests.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 16 Jul 2023 20:40:47 -0700

conky (1.19.2-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 16 Jul 2023 01:27:34 -0700

conky (1.18.3-1) unstable; urgency=medium

  * New upstream release.
    - Fix memory leak by caching X11 pixel values. (Closes: #1032259)

 -- Vincent Cheng <vcheng@debian.org>  Mon, 06 Mar 2023 23:06:03 -0800

conky (1.18.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix broken graph colours. (Closes: #1031736)

 -- Vincent Cheng <vcheng@debian.org>  Fri, 24 Feb 2023 15:09:43 -0800

conky (1.18.0-1) unstable; urgency=medium

  * New upstream release.
    - Unbreak Xinerama config loading. (Closes: #1027895)

 -- Vincent Cheng <vcheng@debian.org>  Sun, 19 Feb 2023 22:57:28 -0800

conky (1.17.0-1) unstable; urgency=medium

  [ Vincent Cheng ]
  * New upstream release.
  * Add support for wayland in conky-std and conky-all.
    - Add build-dep on libwayland-dev and wayland-protocols.
  * Add some basic autopkgtests.
  * Update build-deps for doc generation (pandoc, pyyaml, jinja2).
  * Update standards version to 4.6.2, no changes needed.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Set upstream metadata fields: Bug-Submit.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 03 Jan 2023 00:19:55 -0800

conky (1.12.2-2) unstable; urgency=medium

  [ Arnaud Rebillout ]
  * Drop support for xmms2 since it has been removed from Debian bookworm.
    (Closes: #1009346)

 -- Vincent Cheng <vcheng@debian.org>  Fri, 15 Apr 2022 02:06:37 -0700

conky (1.12.2-1) unstable; urgency=medium

  [ Vincent Cheng ]
  * New upstream release.
    - Drop conky-reproducible-build.patch, merged upstream.
    - Drop unset-cmake-build-flags.patch, obsolete.
  * Update to debhelper compat level 13.
  * Update Standards version to 4.6.0.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake, dpkg-dev and
      pkg-config.
    + conky-std: Drop versioned constraint on conky in Replaces.
    + conky-std: Drop versioned constraint on conky in Breaks.
    + conky-cli: Drop versioned constraint on conky in Replaces.
    + conky-cli: Drop versioned constraint on conky in Breaks.
    + conky-all: Drop versioned constraint on conky in Replaces.
    + conky-all: Drop versioned constraint on conky in Breaks.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 23 Feb 2022 07:43:24 -0800

conky (1.11.6-2) unstable; urgency=medium

  * Re-enable tcp_portmon support. (Closes: #968323)
  * Cherrypick upstream patch to make build reproducible.
  * Actually enable all build hardening flags.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 16 Aug 2020 18:55:40 -0700

conky (1.11.6-1) unstable; urgency=medium

  * Acknowledge NMU, thanks to Boyuan Yang!
  * New upstream release. (Closes: #950400)
    - Fix crash caused by temporary virtual net interfaces. (Closes: #900001)
    - Add build-dep on liblua5.3-dev.
    - Drop build-dep on liblua5.1-0-dev, libtolua++5.1-dev.
  * Enable previously disabled features in conky-all:
    - iCal (add build-dep on libical-dev)
    - IRC (add build-dep on libircclient-dev)
    - iconv
    - systemd journal (add build-dep on libsystemd-dev)
  * Update to debhelper compat level 12.
  * Update Standards version to 4.5.0.
  * Update Vcs-* links to point to salsa.
  * Add upstream metadata file.
  * Drop debug packages and migrate to auto-generated dbgsym instead.
  * Enable all build hardening flags.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 09 Aug 2020 19:46:49 -0700

conky (1.10.8-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/control: Build-depends on libdbus-glib-1-dev.
    (Closes: #962330)

 -- Boyuan Yang <byang@debian.org>  Fri, 12 Jun 2020 06:26:48 -0400

conky (1.10.8-1) unstable; urgency=medium

  * Acknowledge NMU, thanks to Adrian Bunk!
  * New upstream release.
    - Fix segfault when kernel reports non-sequential SMP CPU indices.
      (Closes: #873446)
    - Drop debian/patches/gcc-7.patch, applied upstream.
  * Remove build-dep on automake. (Closes: #865138)
  * Update Standards version from 3.9.8 to 4.1.3.
    - Update all priority: extra packages to priority: optional.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 28 Feb 2018 02:22:09 -0800

conky (1.10.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc 7. (Closes: #853353)

 -- Adrian Bunk <bunk@debian.org>  Sun, 03 Sep 2017 18:12:29 +0300

conky (1.10.6-1) unstable; urgency=medium

  * New upstream release.
  * Enable pulseaudio support in conky-all. (Closes: #841198)
    - Add build-dep on libpulse-dev.
  * Drop build-dep on libasound2-dev and remove references to ALSA mixer
    support in package descriptions; this has not been supported since 2010.
    (Refer to #726637)

 -- Vincent Cheng <vcheng@debian.org>  Thu, 08 Dec 2016 23:46:09 -0800

conky (1.10.5-1) unstable; urgency=medium

  * New upstream release.
    - Drop all existing patches; applied upstream.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 04 Oct 2016 21:01:32 -0700

conky (1.10.4-1) unstable; urgency=medium

  * New upstream release.
    - Drop all existing patches; applied upstream.
    - Add debian/patches/fix-ftbfs-with-build-x11-off.patch to fix FTBFS when
      built with -DBUILD_X11=OFF.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 18 Sep 2016 22:08:05 -0700

conky (1.10.3-1) unstable; urgency=medium

  * New upstream release.
    - Fixes segfault on single core CPUs. (Closes: #828640)
    - Drop all existing patches; applied upstream.
    - Add debian/patches/fix-kfreebsd-ftbfs.patch to fix FTBFS on kfreebsd.
      (Closes: #815347)

 -- Vincent Cheng <vcheng@debian.org>  Sat, 02 Jul 2016 17:50:17 -0700

conky (1.10.2-1) unstable; urgency=medium

  * New upstream release.
    - Drop all existing patches; applied upstream.
    - Add debian/patches/fix-build-nvidia-ftbfs.patch to fix FTBFS when built
      with -DBUILD_NVIDIA=ON.
  * Remove debian/menu files as per tech-ctte decision in #741573.
  * Update Standards version from 3.9.6 to 3.9.8.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 03 May 2016 16:25:15 -0700

conky (1.10.1-3) unstable; urgency=medium

  * Add fix_build_math.patch to fix BUILD_MATH flag, in order to fix broken
    cpugauge and logscales in graphs. (Closes: #809546)

 -- Vincent Cheng <vcheng@debian.org>  Wed, 06 Jan 2016 00:37:37 -0800

conky (1.10.1-2) unstable; urgency=medium

  * Add cmake_compat.patch to fix FTBFS with older (<= 3.3) versions of cmake.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 24 Dec 2015 17:02:27 -0800

conky (1.10.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix segfault on kernels without ipv6 support. (Closes: #806983)
    - Drop all patches; applied upstream or obsolete.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 24 Dec 2015 00:08:45 -0800

conky (1.10.0-1) unstable; urgency=medium

  * New upstream release.
    - This release introduces a new Lua-based conkyrc configuration format.
      See debian/NEWS for further information.
    - Patches applied upstream, removed: fix-curl-related-crashes.patch,
      fix-CVE-2011-3616.patch, fix-font-check.patch, fix-kfreebsd-ftbfs.patch
      fix-uninitialized-inotify_fd-value.patch
    - Patches that are obsolete, removed: fix-apcupsd.patch
    - Patches added: cmake_c_flags.patch, db2x_manxml_ascii.patch,
      build_docs_offline.patch
  * Switch build system from autotools to cmake.
    - Add build-dep on cmake (>= 2.6); drop build-dep on autotools-dev.
  * Add build-deps on gawk, less, librsvg2-dev, docbook2x, docbook-xml,
    docbook-xsl; build documentation from source.
  * Update debian/copyright.
  * Update Standards version from 3.9.5 to 3.9.6, no changes required.
  * Update watch file.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 30 Jun 2015 21:35:43 -0700

conky (1.9.0-6) unstable; urgency=medium

  * Re-add explicit dependency on audacious-dev.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 09 Sep 2014 23:26:45 -0700

conky (1.9.0-5) unstable; urgency=medium

  * Merge src:conky-all into src:conky, including all binary packages built
    by the former, now that libxnvctrl/nvidia-settings has been moved to main
    (see #747837 for background).
    - Disable support for RSS, weather (both METAR and XOAP), imlib2, and all
      Lua bindings in conky-std. These features (which are not enabled by
      default upstream) are all enabled in conky-all instead, which has been
      moved to main. Also see debian/NEWS.
    - This makes conky-all installable again. (Closes: #754600)
  * Replace build-dep on audacious-dev with libaudclient-dev to fix FTBFS.
    (Closes: #753705, #759887)
  * Add debian/patches/fix_font_check.patch. (Closes: #746477)
  * Install vim syntax rules for conkyrc config files.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 30 Aug 2014 12:28:42 -0700

conky (1.9.0-4) unstable; urgency=medium

  * Declare Breaks+Replaces relationship against conky (<< 1.8.0-1, the
    version in Debian where the conky package was first split into multiple
    binary packages) to fix upgrade path from lenny -> squeeze -> wheezy.
    (Closes: #739245)
  * Add debian/patches/fix-uninitialized-inotify_fd-value.patch.
    (Closes: #720112)
  * Update email address.
  * Update Standards version from 3.9.4 to 3.9.5, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 19 Feb 2014 01:41:42 -0800

conky (1.9.0-3) unstable; urgency=low

  * Add debian/patches/fix-curl-related-crashes.patch to fix crash with
    multiple weather objects in conkyrc. (Closes: #623106; LP: #780741,
    LP: #1154741)
  * Add debug package for each conky flavour.
  * Update Standards version from 3.9.3 to 3.9.4, no changes required.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Wed, 08 May 2013 01:34:40 -0700

conky (1.9.0-2) unstable; urgency=low

  * Add debian/patches/fix-kfreebsd-ftbfs.patch to fix FTBFS on kfreebsd.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Wed, 09 May 2012 19:27:20 -0700

conky (1.9.0-1) unstable; urgency=low

  * New upstream release.
    - Fix execi when interval is larger than system uptime.
      (Closes: #652336, #652536; LP: #996362)
  * Remove debian/patches/fix-{curl,kfreebsd,xmms2}-ftbfs.patch,
    fix-acpitemp.patch, and fix-update-interval.patch; applied upstream.
    - Refresh remaining patches.
    - Rename fix-race-condition.patch -> fix-CVE-2011-3616.patch; also
      include a more detailed description.
  * Change priority and section of transitional conky package to oldlibs/extra.
  * Add build-depends on autotools-dev.
  * Add build-depends on dpkg-dev (>= 1.15.7) due to use of dpkg-buildflags.
  * Add alternative build-depends: automake1.11 | automake (>= 1:1.11),
    libcurl4-gnutls-dev | libcurl4-dev.
  * Update debian/rules to dh 7 "rules.tiny" style.
  * Update debian/watch to look for both .gz and .bz2 tarballs.
  * Update Standards version from 3.9.2 to 3.9.3, no changes required.
  * Update debhelper compatibility level from 8 to 9.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Tue, 08 May 2012 15:41:00 -0700

conky (1.8.1-6) unstable; urgency=low

  * debian/patches:
    - Add fix-apcupsd.patch: fix apcupsd support. (LP: #897495)
    - Add fix-update-interval.patch: use monotonic time when calculating the
      update interval. (Closes: #474372, #473993)
  * Fix various formatting issues in debian/copyright.
  * Change transitional "conky" package's dependencies to
    conky-std | conky-cli | conky-all.
  * Add doc-base file for conky-cli and conky-std.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 02 Dec 2011 16:52:23 -0800

conky (1.8.1-5) unstable; urgency=low

  * Move conky-all into a separate source package, and remove all contrib
    components from build-depends. (Closes: #579102, #639778)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 02 Sep 2011 21:43:36 -0700

conky (1.8.1-4) unstable; urgency=low

  * Install conky_no_x11.conf instead of the regular conky.conf config file
    for use with conky-cli. (Closes: #639314)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sat, 27 Aug 2011 13:48:05 -0700

conky (1.8.1-3) unstable; urgency=low

  * Enable xmms2 and audacious support in conky-all and conky-std;
    thanks to Aron Xu for the patch. (Closes: #579893; LP: #647643)
  * Enable support for RSS, weather (both METAR and XOAP), imlib2, and all
    Lua bindings in conky-std.
  * Add debian/patches/fix-xmms2-ftbfs.patch to build Conky with XMMS2 support
    without FTBFS.
  * Use -O3 by default.
  * Update debian/NEWS and debian/README.source to reflect the changes to
    Conky packaging in Debian.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Wed, 10 Aug 2011 21:23:19 -0700

conky (1.8.1-2) unstable; urgency=low

  * Add build dependency on libxnvctrl-dev | nvidia-settings to keep Conky
    in sync with Ubuntu.
  * Add debian/patches/fix-curl-ftbfs.patch to fix FTBFS with curl 7.21.7.
    (Closes: #636367)
  * Add debian/patches/fix-kfreebsd-ftbfs.patch to fix FTBFS on kfreebsd.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 05 Aug 2011 14:58:00 -0700

conky (1.8.1-1) unstable; urgency=low

  * Adopt package. (Closes: #632655)
  * Acknowledge NMU patch for #612033, which fixes a known vulnerability in
    Conky. Thanks to Luca Falavigna! (LP: #607309)
  * New upstream release. (Closes: #604921)
    - Fix bug in $if_existing. (Closes: #612904)
    - Fix various memory leaks. (Closes: #628527)
    - Fix battery_bar not parsing arguments correctly. (LP: #569195)
  * Fix ncurses being enabled for all binary packages (upstream default).
  * Rename "70b6f35a.patch" to "fix-race-condition.patch", and add a full
    DEP-3 formatted header.
  * Add debian/patches/fix-acpitemp.patch to let $acpitemp use /sys instead
    of /proc. (Closes: #609745, #628519; LP: #810667)
  * Change section of source package from "contrib/utils" to "utils".
    (Closes: #579102)
    - Change section of binary package conky-all to "contrib/utils".
    - Remove build-dependency on nvidia-settings; add build-dependency on
      libxnvctrl-dev instead to conky-all, due to the move of the
      NVCtrl/NVCtrl.h header file to libxnvctrl-dev.
    - Update debian/NEWS and debian/README.source to reflect the changes to
      Conky packaging in Debian.
  * Change dependency of transitional conky package to
    "conky-all | conky-std".
  * debian/copyright: Remove reference to deprecated BSD license file
    (/usr/share/common-licenses/BSD).
  * Change Vcs-* entries in debian/control to point to collab-maint.
  * Update Standards version from 3.8.4 to 3.9.2, no changes required.
  * Update debhelper compatiblity level from 5 to 8.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 15 Jul 2011 10:41:54 -0700

conky (1.8.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/70b6f35a.patch:
    - Cherrypick a patch from upstream to avoid rewriting an arbitrary
      user file (Closes: #612033).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 03 Apr 2011 15:17:39 +0200

conky (1.8.0-1) unstable; urgency=low

  * New upstream release:
    - add AF_UNIX socket support
    - fix sigsegv if config file is deleted (LP: #525926)
    - the following debian bugs are closed by this upload:
      + change automake1.10 to automake1.11 (Closes: #550929)
      + hwmon made compatible with kernels >= 2.6.31 (Closes: #556926)
      + text_buffer_size change is well documented (Closes: #519401)
      + fix diskio for not existing devices (Closes: #536557)
      + fix wrong mixer values on some systems (Closes: #540282)
      + fix minor memory leak (Closes: #566524)
      + fix some documentation error re. graphs (Closes: #564518)
      + add -p/--pause startup option (Closes: #513440)
      + fix documentation about mixer values (Closes: #538760)
  * This release is based on the Ubuntu package with the following changes
    necessary for Debian (Closes: #536320):
    - change control and rules to build correctly on non-Linux arches
      (Closes: #536326)
    - updated NEWS, descriptions in control and changelog
    - change archive area to contrib
  * Change priority of metapackage to extra
  * My utmost thanks go to Kapil Hari Paranjape for his packaging work and to
    Luca Falavigna for being so kind to review and sponsor this release

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Sun, 28 Mar 2010 21:19:51 +0200

conky (1.8.0~git925e80ac-0ubuntu1) lucid; urgency=low

  * GIT snapshot release:
    - add argb (true transparency) support
    - add support for max_text_width
    - add IPv6 support to $tcp_portmon and mpd connections
    - add support for $pid variables ($pid_read, $pid_write, $pid_threads,
       $pid_thread_list, $pid_nice, $pid_priority, $pid_time_usermode,
       $pid_time_kernelmode, $pid_time, $pid_parent, $pid_uid, $pid_euid,
       $pid_suid, $pid_fsuid, $pid_gid, $pid_egid, $pid_sgid, $pid_fsgid,
       $pid_vmpeak, $pid_vmsize, $pid_vmlck, $pid_vmhwm, $pid_vmrss,
       $pid_vmdata, $pid_vmstk, $pid_vmexe, $pid_vmlib, $pid_vmpte,
       $pid_state, $pid_state_short, $pid_environ_list, $pid_exe,
       $pid_openfiles, $pid_stdin, $pid_stdout, $pid_stderr, $pid_chroot,
       $pid_cmdline, $pid_cwd and $pid_environ)
    - add support for $format_time
    - add support for $uid_name and $gid_name
    - add support for $running_threads
    - add support for $cmdline_to_pid
    - add support for $user_time
    - drop adt746x objects
    - add support for $weather_forecast (using xoap)
    - add support for out_to_ncurses
    - add support for $include
    - add icon data_type for xoap weather
    - add the -p/--pause command line option
    - add middle_middle as an alignment option
    - add hddtemp_host and hddtemp_port as config options
    - add lua_startup_hook and lua_shutdown_hook
    - add times_in_seconds and update_interval_on_battery config options
    - add the conky_set_update_interval, cairo_text_extents_t:create(),
      cairo_font_extents_t:create() and cairo_matrix_t:create() lua functions
    - add the conky_info lua table
    - add the disable_auto_reload config option
    - add an optional adapter option to $acpiacadapter (defaults to "AC")
    - a whole plethora of bug fixes
  * Add libncurses5-dev as a Build-Depends.
    ncurses is enabled only for the conky-cli package.
  * Do not add the --enable-debug flag to configure.
  * Remove all patches, now applied upstream.
  * Update package descriptions, NEWS and README.source accordingly.
  * No change bump of Standards-Version

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Wed, 17 Feb 2010 13:01:26 +0100

conky (1.7.2-0ubuntu6) lucid; urgency=low

  * Change arch to all for transitional package
  * Change source package format to 3.0 (quilt)
  * Reformat all patch headears iaw DEP-3
  * Move deletion of config.{guess, sub} to clean target to avoid FTBFS
    if built twice in a row
  * debian/patches/add_thread_fix_proc.patch:
    add support for $threads and fix $processes on Linux
    commit aad43bea8d3840babb502d939be324ba49c3b74e
  * debian/patches/fix_segfault_leaks_curl.patch:
    fix segfault and memleaks in curl
    commit e292dd5e280aa9c288bc6c2e1143270f5f5a08f4
  * debian/patches/add_current_user.patch (LP: #405707):
    add $user_time: if no argument is given, lists the
    login time for the tty connected to conky's standard input (if any).
    Given a console as an argument it gives the login time for that.
  * debian/patches/fix_mpd_when_stop.patch:
    fix $if_mpd_playing and $mpd_percent when you stop playing a song
    commit 827be3bde828fcf8d7be949168ac4909f6c323a2
    Thanks Sakari Matikka
  * debian/patches/fix_idle_rate_when_not_averaging.patch (LP: #493131):
    fix idle rate equal to 1 instead of 0 when using net_avg_samples=1
    commit b1cbc64f6075e0145edfb919df3e21a210f5328e
  * debian/patches/fix_manpage_width.patch:
    fix man warning: table wider than line width
    commit a14cca6592ec506b1a535be43912b4a72b40f11f
  * debian/patches/add_startup_pause_option.patch:
    add the -p/--pause command line option
    commit 584d05d2ad66edf1f53372382826a2416b50d9da
  * debian/patches/add_extended_cairo_structures.patch
    add creation functions for the cairo_font_extents_t,
    cairo_text_extents_t and cairo_matrix_t structures
    commit 8bd41caa51e080fd3ef28c7cdeee775872cdc1f4
  * debian/patches/fix_manpage_typos.patch
    fix typos in manpage
    commit c8a99a865adbd862bf74c0ca310fda796601fb5f

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Sun, 27 Dec 2009 23:22:54 +0100

conky (1.7.2-0ubuntu5) karmic; urgency=low

  * Bug-fix only release (LP: #457022):
    - add Replaces on conky to conky-all to avoid misconfiguration
      during dist-upgrades.

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Fri, 23 Oct 2009 17:12:12 +0200

conky (1.7.2-0ubuntu4) karmic; urgency=low

  * Bug-fix only release:
    - modify debian/patches/fix_hwmon_for_2.6.31.patch (LP: #435571):
      modify the patch so that all possible cases for the hwmon data location
      are taken into account. This should also be compatible with older
      kernels.

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Thu, 15 Oct 2009 18:37:15 +0200

conky (1.7.2-0ubuntu3) karmic; urgency=low

  * Bug-fix only release:
    - add debian/patches/fix_info.desktop.patch:
      fix global info.desktop variables incorrectly freed
      commit 066af067f070731a5b0dc03107a2135bbffa2ba1

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Mon, 12 Oct 2009 13:43:56 +0200

conky (1.7.2-0ubuntu2) karmic; urgency=low

  * Bug-fix only release:
    - add quilt support in debian/control and debian/rules
    - add debian/patches/fix_if_running.patch:
      fix if_running not working on linux when a top flavour is not running
      commit 75ce3b259be20f4a304fbf90d7c5f55871c872da
    - add debian/patches/fix_hwmon_for_2.6.31.patch (LP: #435571):
      horrible hack to make hwmon works with kernel 2.6.31 also when
      /sys/class/hwmon/hwmon0/device erroneously exists
    - package is now maintained in bzr/launchpad
      https://code.launchpad.net/~norsetto/+junk/conky:
      + add Vcs-* fields to debian/control
    - add --disable-static flag to conky-all instead of building and
      then manually removing the static library
    - make conky-all with --enable-nvidia only on i386 and amd64
      arches (fix FTBFS for all other arches)
    - change naming scheme to ease transitions, conky is now a transitional
      package that installs conky-all. Standard conky is now named conky-std

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Sat, 26 Sep 2009 15:12:38 +0200

conky (1.7.2-0ubuntu1) karmic; urgency=low

  * New upstream release:
    - Improved Lua API (lua_read_parse has been removed in favour of the
      conky_parse() Lua API call).
    - Cairo and Imlib2 bindings for Lua.
    - Built-in weather support.
    - Added own_window_type panel.
    - Added border_inner_margin and border_outer_margin.
      The border_margin config option is now deprecated.
    - Added format_human_readable option.
    - Added fancy new 'temperature gradients'.
    - Several new variables such as $blink, $curl, $desktop, $entropy_perc,
      $swapfree, $to_byte and $top_io.
    - Comments in TEXT section are now possible.
      If necessary the comment character (#) can be escaped with a
      backslash (\#).
    - Added a different default configuration file for builds without X11.
    - Added io_perc, io_read and io_write to $top.
    - Alignment special variables can now be used with objects that span
      multiple lines.
    - Enhanced Imlib2 cache control.
    - $battery_short can now also display F (full), N (not present),
      E (empty) or U (unknown).
    - Counteless bug fixes (LP: #405701, LP: #405340, LP: #405188).
  * Complete overhaul of the packaging (LP: #294933, LP: #387209):
    3 binary packages are now created: conky-cli, conky and conky-all.
    conky-cli is a basic package that could be used in servers
    or piped with dzen2,
    conky supports the most commonly used variables,
    conky-all includes almost all of the available support.
    Use conky-all if you are not sure of your needs.
    Some of the packaging changes include:
    - copyright is now in line with the new format specification
    - rules has been overly simplified
    - short/long descriptions have been updated
    - TODO is not installed anymore, lua.html is installed
    - README.Debian has been obsoleted
    - no change bump of Standards-Version
    - added NEWS and README.source
    - changed automake from automake1.10 to automake1.11, since the former
      has been obsoleted.

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Tue, 25 Aug 2009 11:27:23 +0200

conky (1.7.1.1-0ubuntu1) karmic; urgency=low

  * New upstream release:
    - fixed a pretty serious bug in 1.7.1 that caused rendering of
      fonts to be completely messed up in specific circumstances.
  * Add debian/patches/fix_fs_free.patch (LP: #385504):
    - revert commit b6e691e8ac1d09df7a01c25583b785025a6212a6
    - correct fs_used/fs_used_perc to use fs_free not fs_avail

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Thu, 11 Jun 2009 09:28:12 +0200

conky (1.7.1-0ubuntu2) karmic; urgency=low

  * Install an apport hook to retrieve in case of crash the configuration
    file (if changed), the user's configuration file and any user's
    specified lua scripts.

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Tue, 09 Jun 2009 19:07:01 +0200

conky (1.7.1-0ubuntu1) karmic; urgency=low

  * New upstream release:
    - Lua scripting support
    - Image drawing via Imlib2
    - Built in support for APC UPS daemon monitoring
    - Several new variables such as $combine and $eval
    - Gauge widgets
  * Enable lua and imlib2 support
  * Add liblua5.1-0-dev and libimlib2-dev as
    Build-Depends in debian/control
  * Update debian/copyright author's list
  * Set LDFLAGS to -Wl,--as-needed to avoid linking against
    unneeded libraries.

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Mon, 08 Jun 2009 11:12:18 +0200

conky (1.7.0-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #371043):
    - update debian/copyright copyright dates and author's list
    - remove following patches, now applied upstream or not needed anymore:
      + fix_exec_buffer_size.patch
      + ifaddr_buffer_overflow
      + x86_64_rdtsc
      + move_compile_end_man_page
      + fix_hyphen_man_page
      + fix_mem_res.patch
    - remove installation of example configuration file (removed upstream)
    - update debian/NEWS accordingly
  * No change bump of Standards-Version to 3.8.1

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Sat, 16 May 2009 12:04:10 +0200

conky (1.6.1-0ubuntu4) jaunty; urgency=low

  * debian/patches:
    - fix_mem_res.patch (LP: #329789):
      fix ${top_mem} not displaying correctly memory usage
      for mem_res and mem_vsize.
      Thanks to lolikandr for the patch.

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Mon, 16 Feb 2009 13:12:00 +0100

conky (1.6.1-0ubuntu3) intrepid; urgency=low

  * debian/patches:
    - fix_exec_buffer_size.patch (LP: #279493, LP: #279791):
      fix SIGSEGV due to wrong buffer size being used in all exec* calls.

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Fri, 10 Oct 2008 22:40:09 +0200

conky (1.6.1-0ubuntu2) intrepid; urgency=low

  * debian/patches:
    - import ifaddr_buffer_overflow patch from Debian: fix buffer overflow in
      update_net_stats. Thanks to Miroslav Lichvar and Kapil Paranjape
    - move_compile_end_man_page: remove extra blank spaces

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Thu, 18 Sep 2008 12:42:54 +0200

conky (1.6.1-0ubuntu1) intrepid; urgency=low

  * New upstream release (1.6.1).
  * debian/patches:
    - remove patch man_page_typo_first_char since it is applied upstream.
    - refreshed patches move_compile_end_man_page and fix_hyphen_man_page.
  * debian/rules:
    remove in clean target additional autoconf files created in m4/

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Fri, 15 Aug 2008 15:18:25 +0200

conky (1.6.0-1ubuntu1) intrepid; urgency=low

  * Merge from Debian unstable (LP: #217455). Remaining changes:
    - debian/control: Add mpd to Suggests

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Fri, 25 Jul 2008 13:30:37 +0200

conky (1.6.0-1) unstable; urgency=low

  * New upstream release (1.6.0).
    - incorporates debian patches
      + for mail spool.
      + for usage message.
      + for null text strings.
    - fix segfault on signal. (Closes: #474732)
    - uses variable output_methods instead of out_to_console.
      (Closes: #487184)
    - has default arguments for 'diskiograph'. (Closes: #487770)
    - numerous other new features. See upstream Changelog.
  * debian/patches:
    - fix_mail_spool, upstream_fix_usage,
      upstream_null_text: removed these patches as they are no longer
      required.
    - avoid_linking_with_libm: removed this patch as conky uses "log"
      from the C math library.
    - fix_hyphen_man_page, move_compile_end_man_page: refreshed these
      patches taking into account new changes to upstream man page.
    - man_page_typo_first_char: fix un-needed extra first char on the
      first line of the manpage.
    - x86_64_rdtsc: patch for 'freq_dyn' on x86_64 from Miroslav Lichvar.
  * debian/README.Debian: updated remark about features not compiled in.
  * debian/copyright: wrapped long lines. Thanks "lintian".
  * debian/control:
    - removed 'misc:Depends' entry from Depends.
    - Standards-Version bumped to 3.8.0. No other changes required.

 -- Kapil Hari Paranjape <kapil@debian.org>  Thu, 24 Jul 2008 00:55:04 +0000

conky (1.5.1-1ubuntu1) hardy; urgency=low

  * debian/control: Add mpd to Suggests (LP: #212905)
  * debian/patches/ubuntu_fix_sigsev:
    fix conky SIGSEGV when reloading the configuration file (LP: #212292)
    Thanks to Cesare Tirabassi for the patch.
  * debian/patches/ubuntu_fix_conky.conf_warning:
    correct conky.conf use_spacer setting (see LP #212913)
  * Modify Maintainer value to match Debian-Maintainer-Field Spec

 -- Stefan Ebner <hellboy195@gmail.com>  Mon, 14 Apr 2008 22:38:38 +0200

conky (1.5.1-1) unstable; urgency=low

  * New upstream release (1.5.1).
    - incorporates debian patches for
      + kfreebsd support
      + use clock gettime
      + ibm acpi volume
      + some man page fixes
      + sysfs battery
    - numerous other new features. see upstream
      Changelog.
  * debian/{NEWS,README.Debian}: Updated for new version.
  * debian/patches:
    - cleaned out patches already applied upstream.
      as mentioned above.
    - refreshed the patches still required
      + avoid_linking_with_libm
      + fix_hyphen_man_page
      + move_compile_end_man_page
      + fix_mail_spool
    - incorporate patches from upstream svn repository.
      + upstream_fix_usage: Fixes the usage message
      + upstream_null_text: Handle null "text" entry
        in configuration.
  * bumped up "debhelper" compatibility level to 5
    now that 'sarge' need not be supported. Closes: #466755.
    - debian/compat: value now 5.
    - debian/control: debhelper dependency version now
      at least 5.0.0.
  * debian/rules: reflect change of name of sample
    config file from conkyrc.sample to conky.conf.

 -- Kapil Hari Paranjape <kapil@debian.org>  Wed, 02 Apr 2008 14:56:01 +0530

conky (1.4.9-4) unstable; urgency=low

  * debian/patches/sysfs_battery:
    - handle systems where the POWER_SUPPLY_CHARGE_* values
      define battery status. Thanks to Stefan Ebner for
      help in debugging this.
      (Closes: #466878)
    - close battery status info file after each update.
  * Enable support for RSS feed monitoring.
    - debian/rules: added "--enable-rss" to configure rules.
    - debian/control: additional build-dependencies on "libxml2-dev"
      and "libcurl4-gnutls-dev".
    - debian/NEWS.Debian: added comment about this change.
  * Use autotools and libtool during build. (Thanks to tips from
    Henrique de Moraes Holschuh.)
    - debian/control: additional build-dependencies on "libtool"
      and "automake1.10"
    - debian/rules: added run of "autogen.sh" in "configure-stamp"
      target.
    - debian/rules: Define "RSS_LIBS" environment variable for
      "configure" to over-ride "pkg-config" which adds "libgssapi_krb5"
      to link libraries.
    - debian/rules: modified "clean" rule to clean autoconf generated
      files.
  * Cleanup souce package of "src/tags" cruft left in by mistake
    in the previous upload.

 -- Kapil Hari Paranjape <kapil@debian.org>  Sat, 23 Feb 2008 05:57:23 +0530

conky (1.4.9-3) unstable; urgency=low

  * debian/patches/sysfs_battery: Added support for
    battery info in sysfs. (Closes: #463981, #464703).
  * debian/patches/fix_mail_spool: Make the value of
    "mail_spool" over-ride environment variable "$MAIL".
    (Closes: #454656).

 -- Kapil Hari Paranjape <kapil@debian.org>  Mon, 18 Feb 2008 10:20:24 +0530

conky (1.4.9-2) unstable; urgency=low

  * Added support for non-Linux architectures. Closes: #456931.
    Thanks to Petr Salinger.
    - debian/rules: Use DEB_HOST_ARCH_OS to decide whether to add
      wireless support.
    - debian/control: Do not depend on "libiw-dev" for kfreebsd-*
      and hurd-i386
    - debian/control: Depend on "libkvm-dev" and "libdevstat-dev" for
      kfreebsd-*.
    - debian/patches/freebsd_support_upstream: patches to src to recognise
      kfreebsd-* architecture as similar to freebsd (latter is
      supported upstream) sent upstream.
    - debian/patches/freebsd_support: patches incorporating above
      changes after running GNU autoconf tools.
  * debian/patches:
    - ibm_acpi_volume: Re-added. Upstream's correction has a flaw.
  * debian/control: Standards Version 3.7.3. No changes required.
  * debian/rules:
    - Required "configure" rule to depend on patch stamp.
    - Removed workaround for configure.ac in "clean" rule.
      Not required.
  * Fixed lintian bugs. Thanks to lintian.debian.org.
    - debian/changelog: wrapped entries that were too long.
    - debian/copyright: used unicode encoding for names.

 -- Kapil Hari Paranjape <kapil@debian.org>  Wed, 26 Dec 2007 08:41:25 +0530

conky (1.4.9-1) unstable; urgency=low

  * New upstream release. Closes: #453498, #453834.
    - Fix number of bugs (see upstream changelog).
    - Externalise default configuration to a file (/etc/conky/conky.conf
      on Debian).
    - Improved music player support.
    - Multiple mailboxes support.
  * Enabled wireless monitoring. Closes: #445561, #445690.
    - debian/rules: added "--enable-wlan" to configure rules.
    - debian/control: additional build-dependency on "libiw-dev".
    - debian/NEWS.Debian: added comment about this change.
  * debian/patches:
    - fix_its_man_page: Corrected possessive "it's" by "its" in man page.
      Closes: #445918.
    - dont_tail_xorglog: Removed. Not required as equivalent patch applied
      upstream.
    - ibm_acpi_volume: Removed. Not required as equivalent patch applied
      upstream.
    - use_clock_gettime_correctly: Fix src/timed_thread.c to use realtime
      clock correctly.
    - avoid_linking_with_libm: Fix src/Makefile.in to avoid needless linking
      with libm.
  * debian/rules:
    - Define "XFT_LIBS" environment variable for "configure" to avoid linking
      with "libfontconfig" from which no symbols are used.
  * debian/control: Added "Homepage" and "Vc-Svn" fields.

 -- Kapil Hari Paranjape <kapil@debian.org>  Tue,  4 Dec 2007 14:14:46 +0530

conky (1.4.7-1) unstable; urgency=low

  * New upstream release. Closes: #419066. See NEWS.Debian for
    more about all the changes since the earlier version.
  * New maintainer with the permission of earlier maintainer.
    Thanks to Bartosz Fenski for maintaining this package so far.
  * debian/watch: added this file pointing to sf.net upstream source.
  * debian/control:
    - added quilt to Build-Depends.
    - added pkg-config, libglib2.0-0 to Build-Depends.
    - removed libxt-dev from Build-Depends.
    - updated Standards-Version to 3.7.2. No other changes required.
  * debian/patches:
    - ibm_acpi_volume: prevent volume always returning 0. Closes: #415782.
    - dont_tail_xorglog: default configuration does not try to read
      /var/log/Xorg.0.log. Closes: #353410, #401200.
    - move_compile_end_man_page: move COMPILING section to the
      end of the man page to implement a different fix for #368176.
    - fix_hyphen_man_page: correct the use of "hyphen-as-minus" in the
      man page.
  * debian/rules:
    - added support for patching/unpatching using quilt.
    - modified configure rule to build based on current upstream
      defaults.
    - removed call to perl that removed COMPILING section from
      manpage.
    - changed "clean" target to catch errors from upstream targets
      "clean" and "distclean".
  * debian/NEWS: added explanation of new features for this
    version.
  * debian/README.Debian: added remarks about configuration issues
    specific to Debian package.
  * debian/copyright: rewritten to reflect upstream's work on
    clarifying provenance of and licenses to the code.
  * debian/menu: replaced "Apps/Tools" with
    "Applications/System/Monitoring".

 -- Kapil Hari Paranjape <kapil@debian.org>  Fri, 21 Sep 2007 09:24:48 +0530

conky (1.4.4-1) unstable; urgency=low

  * New upstream release.
  * COMPILING section has been removed from manpage. (Closes: #368176)

 -- Bartosz Fenski <fenio@debian.org>  Sat, 18 Nov 2006 11:18:46 +0100

conky (1.4.2-1) unstable; urgency=low

  * New upstream release.
    - fixes problems on powerpc. (Closes: #359974)

 -- Bartosz Fenski <fenio@debian.org>  Thu, 18 May 2006 16:20:22 +0200

conky (1.4.1-1) unstable; urgency=low

  * New maintainer. (Closes: #357341)
  * ACK previous NMUs. (Closes: #346643, #335543, #344235, #348967,
                                #345951, #352909)

 -- Bartosz Fenski <fenio@debian.org>  Sat, 18 Mar 2006 00:29:47 +0100

conky (1.4.1-0.2) unstable; urgency=low

  * NMU to fix sigaction related compilation problem on 64 bit archs.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 16 Mar 2006 19:39:26 +0000

conky (1.4.1-0.1) unstable; urgency=low

  * NMU for a general bugfix release.
  * Enable portmon code (closes: #344235).
  * Enable mldonkey code (closes: #335543).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 15 Mar 2006 18:55:07 +0000

conky (1.4.0-0.1) unstable; urgency=low

  * NMU for new upstream release.
  * Apply manpage typos correction (closes: #348967), thanks to A Costa
    <agcosta@gis.net> !
  * Fix BMP lib opening and change conkyrc sample to use UTF8.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 23 Feb 2006 17:42:50 +0000

conky (1.3.1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Build-depend on libx11-dev, libxext-dev, libxft-dev, and x-dev instead of
    on the obsolete xlibs-dev; thanks to Justin Pryzby
    <justinpryzby@users.sf.net> for testing.  The build-dependency on
    libxt-dev can be dropped once upstream has moved to a new version of
    autoconf.  Closes: #346643.

 -- Steve Langasek <vorlon@debian.org>  Wed, 18 Jan 2006 03:44:30 -0800

conky (1.3.1-1) unstable; urgency=low

  * New upstream release
  * Added libxt-dev to build-depends in debian/control (closes: #327306)
  * Fixed the double BSD-license in debian/copyright (closes: #327135)

 -- Jason Tan <jtan325@gmail.com>  Sat, 10 Sep 2005 22:45:51 -0700

conky (1.3.0-1) unstable; urgency=low

  * Initial Release. (closes: #320978)

 -- Jason Tan <jtan325@gmail.com>  Wed, 24 Aug 2005 00:10:49 -0700
